Dns xmpp et certificat letsencrypt

,

Configuration de mon YunoHost

**Matériel:**VM auto-hebergé esxi
Accès Internet: ethernet à la maison
YunoHost version:
yunohost: 4.2.5.2
As tu modifié ton yunohost avec des configuration spécifiques ou bien utilise tu uniquement la web administration et/ou la ligne de commande yunohost ? modifié
Si modifié, comment:

changement domaine pour postfix et les fichiers de l’appication redirect_yhn

Description de mon problème

voici mes enregistrement DNS auprés de mon registrar qui est online.net avec domaine changé et ip public changé.

;; Zone dump from zone version "La-barre-17"
$ORIGIN mondomaine.fr.
@ 3600 IN  SOA ns0.online.net. hostmaster.mondomaine.fr. 2021060314 10800 3600 604800 3600
xmpp-upload 3600 IN CNAME mondomaine.fr.
chat.mondomaine.fr.mondomaine.fr. 86400 IN A 1.1.1.1
labo.mondomaine.fr.mondomaine.fr. 86400 IN A 1.1.1.1
dev.mondomaine.fr. 86400 IN A 1.1.1.1
www.mondomaine.fr. 86400 IN A 1.1.1.1
nuage.mondomaine.fr. 86400 IN A 1.1.1.1
photo.mondomaine.fr. 86400 IN A 1.1.1.1
stats.mondomaine.fr. 86400 IN A 1.1.1.1
world.mondomaine.fr. 86400 IN A 1.1.1.1
meteo.mondomaine.fr. 86400 IN A 1.1.1.1
mondomaine.fr. 86400 IN A 1.1.1.1
domotic.mondomaine.fr. 86400 IN A 1.1.1.1
bags.mondomaine.fr. 86400 IN A 1.1.1.1
office.mondomaine.fr. 86400 IN A 1.1.1.1
lbca.mondomaine.fr. 86400 IN A 1.1.1.1
*.mondomaine.fr. 86400 IN A 1.1.1.1
_xmpp-client._tcp.mondomaine.fr. 3600 IN SRV 0 5 5222 mondomaine.fr.
_xmpp-server._tcp.mondomaine.fr. 3600 IN SRV 0 5 5269 mondomaine.fr.
mondomaine.fr. 3600 IN MX 10 mondomaine.fr.
mail._domainkey.mondomaine.fr. 3600 IN TXT "v=DKIM1; h=sha256; k=rsa; p=**clef obscur**"
_dmarc.mondomaine.fr. 3600 IN TXT "v=DMARC1; p=none"
mondomaine.fr. 3600 IN NS ns0.online.net.
mondomaine.fr. 3600 IN NS ns1.online.net.
home.mondomaine.fr. 86400 IN A 1.1.1.1
tube.mondomaine.fr.mondomaine.fr. 86400 IN A 1.1.1.1
*.mondomaine.fr. 14400 IN A 1.1.1.1
mondomaine.fr. 14400 IN CAA 128 issue "letsencrypt.org"
mondomaine.fr. 14400 IN TXT "v=spf1 a mx -all"
pubsub.mondomaine.fr. 3600 IN CNAME mondomaine.fr
muc.mondomaine.fr. 3600 IN CNAME mondomaine.fr
vjud.mondomaine.fr. 3600 IN CNAME mondomaine.fr

voici le résultat de la commande

sudo yunohost domain cert-renew --no-checks

Info: Now attempting renewing of certificate for domain mondomaine.fr !
Info: Parsing account key...
Info: Parsing CSR...
Info: Found domains: mondomaine.fr, xmpp-upload.mondomaine.fr
Info: Getting directory...
Info: Directory found!
Info: Registering account...
Info: Already registered!
Info: Creating new order...
Error: Error creating new order:
Url: https://acme-v02.api.letsencrypt.org/acme/new-order
Data: b'{"protected": "**CODE OBSCUR**"}'
Response Code: 429
Response: {'type': 'urn:ietf:params:acme:error:rateLimited', 'detail': 'Error creating new order :: too many failed authorizations recently: see https://letsencrypt.org/docs/rate-limits/', 'status': 429}
Error: Certificate renewing for mondomaine.fr failed!
Please consider checking the 'DNS records' (basic) and 'Web' categories of the diagnosis to check for possible issues that may prevent installing a Let's Encrypt certificate on domain mondomaine.fr.
Info: The operation 'Renew 'mondomaine.fr' Let's Encrypt certificate' could not be completed. Please share the full log of this operation using the command 'yunohost log share 20210608-184004-letsencrypt_cert_renew-mondomaine.fr' to get help
Error: Traceback (most recent call last):    
  File "/usr/lib/moulinette/yunohost/certificate.py", line 564, in _fetch_and_enable_new_certificate    
    CA=certification_authority,
  File "/usr/lib/moulinette/yunohost/vendor/acme_tiny/acme_tiny.py", line 187, in get_crt
    directory["newOrder"], order_payload, "Error creating new order"
  File "/usr/lib/moulinette/yunohost/vendor/acme_tiny/acme_tiny.py", line 104, in _send_signed_request
    url, data=data.encode("utf8"), err_msg=err_msg, depth=depth
  File "/usr/lib/moulinette/yunohost/vendor/acme_tiny/acme_tiny.py", line 78, in _do_request
    err_msg, url, data, code, resp_data
ValueError: Error creating new order:    
Url: https://acme-v02.api.letsencrypt.org/acme/new-order
Data: b'{"protected": "**Code Obscur**"}'
Response Code: 429
Response: {'type': 'urn:ietf:params:acme:error:rateLimited', 'detail': 'Error creating new order :: too many     failed authorizations recently: see https://letsencrypt.org/docs/rate-limits/', 'status': 429}
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/moulinette/yunohost/certificate.py", line 428, in certificate_renew
_fetch_and_enable_new_certificate(domain, staging, no_checks=no_checks)    
File "/usr/lib/moulinette/yunohost/certificate.py", line 571, in _fetch_and_enable_new_certificate
raise YunohostError("certmanager_cert_signing_failed")
yunohost.utils.error.YunohostError: Could not sign the new certificate
Error: Could not sign the new certificate

Comment je peux résoudre mon probléme . en vous remerciant par avance.

Je suis pas super calé mais j’ai eu des difficultés pour activer un certificat letsencrypt, ça bloquait sur xmpp-upload.
J’ai modifié le fichier hosts en ajoutant les lignes suivantes :

127.0.0.1 mondomaine.fr
127.0.0.1 xmpp-upload.mondomaine.fr

Puis j’ai relancé la génération de certificat et c’était bon. J’ai fait la même manip pour tout les sous-domaines.

merci c’est déja le cas comme manip mais cela ne change rien.

voici le log de la dernière tentative https://paste.yunohost.org/raw/ekudedayuj

Error creating new order :: too many failed authorizations recently: see Rate Limits - Let's Encrypt

Tu as atteints la limite d’essai de Let’s Encrypt…

merci pour l’information de la limite, je vais devoir attendre la rinit des compteurs.

du coup question subsidiaire, est il possible de créer un wilcard avec yunohost ?

1 Like

Non, mais la limite que tu as atteint est celles du nombre de tentative échouée je crois.